Bug 8174 - AC_VERIFY_C_PROTOTYPE is broken
AC_VERIFY_C_PROTOTYPE is broken
Status: ASSIGNED
Product: Samba 3.5
Classification: Unclassified
Component: Build environment
3.5.8
All All
: P5 normal
: ---
Assigned To: Michael Adam
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-27 06:06 UTC by kelly
Modified: 2013-04-30 09:17 UTC (History)
1 user (show)

See Also:


Attachments
fixes use of AS_TR_SH in AC_VERIFY_C_PROTOTYPE (474 bytes, application/octet-stream)
2011-05-27 06:06 UTC, kelly
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description kelly 2011-05-27 06:06:34 UTC
Created attachment 6494 [details]
fixes use of AS_TR_SH in AC_VERIFY_C_PROTOTYPE

Must use eval with AS_TR_SH in assignment.

The attached patch fixes the problem.

The problem manifests itself as such:

./configure: line 9931: ac_cv_c_prototype_struct_passwd_pgetpwent_r_struct_passwd_psrc__char_pbuf__int_buflen_=no: command not found
./configure: line 9978: ac_cv_c_prototype_struct_passwd_pgetpwent_r_struct_passwd_psrc__char_pbuf__size_t_buflen_=no: command not found
./configure: line 10073: ac_cv_c_prototype_struct_group_pgetgrent_r_struct_group_psrc__char_pbuf__int_buflen_=no: command not found
./configure: line 10121: ac_cv_c_prototype_struct_group_pgetgrent_r_struct_group_psrc__char_pbuf__size_t_buflen_=no: command not found
./configure: line 10408: ac_cv_c_prototype_void_pdlopen_const_charp_filename__unsigned_int_flags_=no: command not found
Comment 1 Thomas Bork 2013-04-07 13:25:05 UTC
This is still not resolved till today (Samba 3.5.21).

Please backport

d02b5cd65574a3f0af3fa73439af251e728c87d8 and
0ef506d4f31d206c300e4f3f326edac2b60bdc15

to v3-5 and

0ef506d4f31d206c300e4f3f326edac2b60bdc15

to v3-6.

Thank you.
Comment 2 Björn Jacke 2013-04-08 08:55:09 UTC
Michael, one of the patches was from you, can you have a look at this?
Comment 3 Karolin Seeger 2013-04-30 07:01:28 UTC
(In reply to comment #1)
> This is still not resolved till today (Samba 3.5.21).
> 
> Please backport
> 
> d02b5cd65574a3f0af3fa73439af251e728c87d8 and
> 0ef506d4f31d206c300e4f3f326edac2b60bdc15
> 
> to v3-5 and
> 
> 0ef506d4f31d206c300e4f3f326edac2b60bdc15
> 
> to v3-6.
> 
> Thank you.

3.5 is in the security fixes only mode, so there won't be any 3.5 bugfix releases. Of course it is possible that someone will provide backported patches in this bug report anyway.
Comment 4 Thomas Bork 2013-04-30 09:17:19 UTC
Am 30.04.2013 09:01, schrieb samba-bugs@samba.org:

> 3.5 is in the security fixes only mode, so there won't be any 3.5 bugfix
> releases. Of course it is possible that someone will provide backported patches
> in this bug report anyway.

But what about 0ef506d4f31d206c300e4f3f326edac2b60bdc15 for 3.6? Should 
I open a new bug for 3.6?